<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die;
JLoader::register('AbookHelperRoute', JPATH_BASE . '/components/com_abook/helpers/route.php');

//JHtml::core();

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
?>
<?php if (empty($this->items)) : ?>
	<p> <?php echo JText::_('COM_ABOOK_NO_TAGS'); ?>	 </p>
<?php else : ?>
	<?php 
		$n=1;
		foreach($this->items as $item) { ?>
		<div class="taggroup">
			<h3><?php echo $item->name; ?></h3>
			<div>
				<dl>
				<?php foreach($item->tags as $i => $tag){
					$link=JRoute::_(AbookHelperRoute::getTagRoute($tag->slug));
					//$link=JRoute::_('index.php?option=com_abook&view=tag&id='.$tag->slug);?>
					<dd><a class="label label-info" href="<?php echo $link; ?>"><?php echo $tag->name; ?></a>
					<?php if ($this->params->get('show_item_count')){
						echo '('.$tag->num.')';
					}?>
					</dd>
				<?php } ?>
				</dl>
			</div>
		</div>
		<?php if ($n==$this->params->get('tagnum')){ ?>
			<div class="clearfix"></div>
		<?php $n=0;
			} 
		$n++
		?>
	<?php } ?>
<?php endif; ?>
<div class="clearfix"></div>
<div class="pull-right"><?php echo JHTML::_('we.we') ?></div>
<div class="clearfix"></div>
