<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );
JHTML::addIncludePath(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers');

class AbookViewImportexport extends JViewLegacy
{
	protected $state;
	protected $form;
	function display($tpl = null)
	{
		$this->state            = $this->get('State');
		$this->form     = $this->get('Form');
		AbookHelper::addSubmenu('Importexport');
		$this->addToolbar();
		parent::display($tpl);
	}

	protected function addToolbar()
        {
		$canDo  = JHelperContent::getActions('com_abook');
                $document       = JFactory::getDocument();
                $document->addStyleSheet('components/com_abook/assets/css/com_abook.css');
                JToolBarHelper::title(JText::_( 'COM_ABOOK_IMPORTEXPORT_MANAGER' ), 'refresh importexport' );
                JHTML::addIncludePath(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers');

                if ($canDo->get('core.admin')){
                        JToolBarHelper::preferences('com_abook');
                }
        }
}
